org.apache.ignite.internal.processors.cache.query

## Class GridCacheQueryResponseEntry<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.GridCacheQueryResponseEntry<K,V>

All Implemented Interfaces:
  Externalizable, Serializable, Map.Entry<K,V>

    public class GridCacheQueryResponseEntry<K,V>
    extends Object
    implements Map.Entry<K,V>, Externalizable

Class to store query results returned by remote nodes. It's required to fully control serialization process. Local entries can be returned to user as is.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheQueryResponseEntry()` Required by `Externalizable`.
`GridCacheQueryResponseEntry(K key, V val)`

### Method Summary

Methods
`boolean` `equals(Object o)`
`K` `getKey()`
`V` `getValue()`
`int` `hashCode()`
`void` `readExternal(ObjectInput in)`
`V` `setValue(V val)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheQueryResponseEntry

    public GridCacheQueryResponseEntry()

Required by `Externalizable`.

#### GridCacheQueryResponseEntry

    public GridCacheQueryResponseEntry(K key,
                               V val)

Parameters:
  `key` - Key.
  `val` - Value.

### Method Detail

#### getKey

    public K getKey()

Specified by:
  `getKey` in interface `Map.Entry<K,V>`
Returns:
  Key.

#### getValue

    public V getValue()

Specified by:
  `getValue` in interface `Map.Entry<K,V>`
Returns:
  Value.

#### setValue

    public V setValue(V val)

Specified by:
  `setValue` in interface `Map.Entry<K,V>`
Parameters:
  `val` - Value

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### equals

    public boolean equals(Object o)

Specified by:
  `equals` in interface `Map.Entry<K,V>`
Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `Map.Entry<K,V>`
Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015